<%- include('../../admin-layout', 
{ 
    pageTitle: 'Admin management',
    breadcrumb1: "Product",
    breadcrumb2: "Scientific apparatus",
    addLink: `
        <link rel="stylesheet" href="${asset('/css/page/administrator/scientific-apparatus.css')}">
    `,
    addMain: `
        <main id="Main">
            <div class="row" id="form-search">
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Name</label>
                    <input type="text" class="form-control" placeholder="Enter name" name="name">
                </div>
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Code</label>
                    <input type="text" class="form-control" placeholder="Enter code" name="code">
                </div>                
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Origin</label>
                    <input type="text" class="form-control" placeholder="Enter origin" name="origin">
                </div>
                <div class="col-sm-8 mb-4">
                    <label class="form-label">Min price</label>
                    <input type="text" class="form-control" placeholder="Enter min price" name="minPrice">
                </div>
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Max price</label>
                    <input type="text" class="form-control" placeholder="Enter max price" name="maxPrice">
                </div>                
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Exp Date at from</label>
                    <input type="datetime-local" class="form-control" name="minExpDate">
                </div>
                <div class="col-sm-8 mb-4">
                    <label class="form-label">Exp Date at to</label>
                    <input type="datetime-local" class="form-control" name="maxExpDate">
                </div>
                <div class="col-sm-12 mb-4 d-flex justify-content-between">
                    <div>
                        <button class="btn btn-primary" id="search">Search</button>
                        <button class="btn btn-primary" id="reset">Reset</button>
                    </div>
                    <button class="btn btn-success" id="create">Create new scientific apparatus</button>
                </div>
            </div>

            <div id="tabContent">
                <div class="tabContent">
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Image</th>
                                <th>Code</th>
                                <th>Price</th> 
                                <th>Quantity</th>
                                <th>Exp Date</th>
                                <th>Origin</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody id="insert_data">

                        </tbody>
                    </table>                    
                </div>
            </div>
            <div class="divMC_B contentbreak">
                <div class="grpNofP">
                    <button class="NfP" id="firstPageLink">First page</button>               
                    <button class="NfP" id="prevPageLink">Prev page</button>
                    <p id="page-now"></p>                   
                    <button class="NfP" id="nextPageLink">Next page</button>
                    <button class="NfP" id="lastPageLink">Last page</button>            
                </div>
            </div>
            <!-- Create -->
            <div class="modal" tabindex="-1" role="dialog" id="createScientificApparatusModal">
                <div class="modal-dialog" role="document" id="createScientificApparatusDiv">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Create New scientific apparatus</h5>
                        </div>
                        <div class="modal-body">                            
                            <form id="createForm" class="row">
                                <div class="form-group col-sm-4">
                                    <label for="name">Name:</label>
                                    <input type="text" class="form-control" name="name" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="code">Code:</label>
                                    <input type="text" class="form-control" name="code" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="price">Price:</label>
                                    <input type="number" class="form-control" name="price" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="quantity">Quantity:</label>
                                    <input type="number" class="form-control" name="quantity" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="expDate">ExpDate:</label>
                                    <input type="datetime-local" class="form-control" name="expDate" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="origin">Origin:</label>
                                    <input type="text" class="form-control" name="origin" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="imagePath">Image:</label>
                                    <input type="file" class="form-control" name="imagePath" required>
                                </div>
                                <div class="form-group">
                                    <label for="description">Description:</label>
                                    <textarea id="editorCreate" cols="30" rows="10" class="form-control" name="description" required></textarea>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal" id="closeCreateModal">Close</button>
                            <button type="button" class="btn btn-primary" id="saveCreateScientificApparatus">Save changes</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Update -->
            <div class="modal" tabindex="-2" role="dialog" id="updateScientificApparatusModal">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Update scientific apparatus</h5>
                        </div>
                        <div class="modal-body">
                            
                            <form id="updateForm" class="row">
                                <div class="form-group col-sm-4">
                                    <label for="name">Name:</label>
                                    <input type="text" class="form-control" name="name" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="code">Code:</label>
                                    <input type="text" class="form-control" name="code" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="price">Price:</label>
                                    <input type="number" class="form-control" name="price" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="quantity">Quantity:</label>
                                    <input type="number" class="form-control" name="quantity" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="expDate">ExpDate:</label>
                                    <input type="datetime-local" class="form-control" name="expDate" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="origin">Origin:</label>
                                    <input type="text" class="form-control" name="origin" required>
                                </div>
                                <div class="form-group col-sm-4">
                                    <label for="imagePath">Image:</label>
                                    <input type="file" class="form-control" name="imagePath" required>
                                </div>
                                <div class="form-group">
                                    <label for="description">Description:</label>
                                    <textarea id="editorUpdate" cols="30" rows="10" class="form-control" name="description" required></textarea>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal" id="closeUpdateModal">Close</button>
                            <button type="button" class="btn btn-primary" id="saveUpdateScientificApparatus">Save changes</button>
                        </div>
                    </div>
                </div>
            </div>

        </main>
    `,
    addScript: `
        <script src="https://cdn.ckeditor.com/ckeditor5/40.1.0/classic/ckeditor.js"></script>
        <script src="${asset('/js/backtick_dynamic_html.js')}"></script>
        <script src="${asset('/js/page/administrator/scientific-apparatus.js')}"></script>
    `
}) -%>